﻿using CobraCms.AdminConsole.Web.Controllers.Content.Editors;
using CobraCms.Core.Content.Attributes;
using CompanyX.SampleSite.ContentDefinitions.BaseDefinitions;

namespace CompanyX.SampleSite.ContentDefinitions
{
    [ContentNodeDefinition(
        DefinitionId = "6731469C-2207-47D0-8578-5E8398C21D27",
        AllowedChildren = new [] {typeof(GeneralContentPage)})]
    public class GeneralContentPage : BrowsablePage
    {     
        [EditorProperties(
            CustomEditor=typeof(HtmlEditorController),
            DisplayName = "Body Html",
            Description = "Main Html content of the page")]
        public string BodyHtml { get; set; }
    }
}