﻿using CobraCms.Core.Content.Attributes;

namespace CompanyX.SampleSite.ContentDefinitions.PropertyDataSets
{
    [ContentPropertyDataSetClass(
        DefinitionId = "08010E43-1883-4AC9-8357-21F967DA0575")]
    public class SeoData
    {
        [EditorProperties(Description = "Appears in browser bar, used for title of Google search results")]
        public string Title { get; set; }

        [EditorProperties(Description = "Used for Google searches etc")]
        public string MetaDataKeywords { get; set; }

        [EditorProperties(Description = "Used for Google search results")]
        public string Description { get; set; }
    }
}