﻿using CobraCms.Core.Content.Attributes;
using CompanyX.SampleSite.ContentDefinitions.BaseDefinitions;

namespace CompanyX.SampleSite.ContentDefinitions
{
    [ContentNodeDefinition(
        DefinitionId = "113B6737-6653-4E0F-9B13-D0E2D79B8207",
        RootNode = true,
        AllowedChildren=new []
                            {
                                typeof(GeneralContentPage),                                
                                typeof(BlogPage),
                                typeof(DepartmentsPage),
                                typeof(OurTeamPage),
                                typeof(AboutUsPage),
                                typeof(ContactUsPage)                                
                            })]
    public class HomePage : BrowsablePage
    {        
    }
}